Bug 1280477 - Overcloud neutron-server fails to start
Overcloud neutron-server fails to start
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: chris alfonso
Marius Cornea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 15:14 EST by Marius Cornea
Modified: 2016-01-31 21:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 15:39:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
neutron server log (14.76 KB, text/plain)
2015-11-11 15:14 EST, Marius Cornea
no flags Details

  None (edit)
Description Marius Cornea 2015-11-11 15:14:13 EST
Created attachment 1092876 [details]
neutron server log

Description of problem:
In a HA deployment with 3 controllers and network isolation the neutron server fails to start.

Version-Release number of selected component (if applicable):
python-neutron-lbaas-7.0.0-2.el7ost.noarch
openstack-neutron-lbaas-7.0.0-2.el7ost.noarch
python-neutronclient-3.1.0-1.el7ost.noarch
openstack-neutron-ml2-7.0.0-2.el7ost.noarch
python-neutron-7.0.0-2.el7ost.noarch
openstack-neutron-openvswitch-7.0.0-2.el7ost.noarch
openstack-neutron-metering-agent-7.0.0-2.el7ost.noarch
openstack-neutron-common-7.0.0-2.el7ost.noarch
openstack-neutron-7.0.0-2.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1. openstack overcloud deploy --templates ~/templates/my-overcloud -e ~/templates/my-overcloud/environments/network-isolation.yaml -e ~/templates/network-environment.yaml -e ~/templates/ceph.yaml --control-scale 3 --compute-scale 1 --ceph-storage-scale 3 --ntp-server clock.redhat.com --libvirt-type qemu


Actual results:
Deployment fails. 

Expected results:
Deployments succeeds.

Additional info:
os-collect-config on one of the controllers shows the following error:
Error: Could not start Service[neutron-server]: Execution of '/usr/bin/systemctl start neutron-server' returned 1: 

Attaching neutron-server.log.

The same error was addressed by BZ#1273680 for RDO Manager.
Comment 2 Marius Cornea 2015-11-11 15:46:37 EST
The error didn't show up when running the following before building the images:

export USE_DELOREAN_TRUNK=0
export RHOS=1
Comment 3 Mike Burns 2015-11-17 15:39:23 EST
given this is only when building the images which customers won't do, this is really notabug.  

I'll note this for internal image build steps, but those 2 env vars are set for brew image builds.

Note You need to log in before you can comment on or make changes to this bug.